from torch.utils.data import Dataset


class CustomMnistDataset(Dataset):
    def __init__(self, converted_examples):
        self.images = [image_array for (image_array, _) in converted_examples]
        self.labels = [label_array for (_, label_array) in converted_examples]

    def __len__(self):
        return len(self.images)

    def __getitem__(self, idx):
        return self.images[idx], self.labels[idx]
